X2Go Bug report logs - #520
Wrong order of redirections in x2gomountdirs

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Andrzej Ostruszka <andrzej.ostruszka@gmail.com>

Date: Tue, 24 Jun 2014 13:20:01 UTC

Severity: normal

Tags: pending

Found in version 4.0.1.15-0x2go1+git20140615.847+wheezy.main.1

Fixed in version 4.0.1.16

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Full log


Message #12 received at control@bugs.x2go.org (full text, mbox, reply):

Received: (at control) by bugs.x2go.org; 25 Jun 2014 10:22:58 +0000
From x2go@ymir.das-netzwerkteam.de  Wed Jun 25 12:22:49 2014
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on
	ymir.das-netzwerkteam.de
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,NO_RELAYS
	autolearn=unavailable version=3.3.2
Received: by ymir.das-netzwerkteam.de (Postfix, from userid 1005)
	id 804795DB52; Wed, 25 Jun 2014 12:22:49 +0200 (CEST)
From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 520-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 520@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as pending for release
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
X-Mailer: http://snipr.com/post-receive-tag-pending
Message-Id: <20140625102249.804795DB52@ymir.das-netzwerkteam.de>
Date: Wed, 25 Jun 2014 12:22:49 +0200 (CEST)
tag #520 pending
fixed #520 4.0.1.16
thanks

Hello,

X2Go issue #520 (src:x2goserver) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=286a447

The issue will most likely be fixed in src:x2goserver (4.0.1.16).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 286a44789ae0aacc417eca5063040f84f0b8adea
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Wed Jun 25 12:20:27 2014 +0200

    Correctly use diversions from stderr to stdout in shell commands. (Fixes: #520).

diff --git a/debian/changelog b/debian/changelog
index 0d7cc89..665986b 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -41,6 +41,8 @@ x2goserver (4.0.1.16-0x2go1) UNRELEASED; urgency=low
       kernel namespace sockets.
     - Add logcheck rules for X2Go Server. Thanks to Frank Werner for sending
       them in.
+    - Correctly use diversions from stderr to stdout in shell commands.
+      (Fixes: #520).
   * debian/control, x2goserver.spec:
     + Update versioned D: x2goagent (>= 3.5.0.25). This assures that X2Go
       works with poly-instantiated /tmp directories.


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Feb 27 13:36:57 2024; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.